package view;

import javafx.scene.shape.Box;
import model.Position;

public class TileView {

	private Box obj;
	private Position position;
	private int state;

	public static final int NORMAL = 0, SELECTED = 1, MOVABLE = 2, ATTACK = 3, SPECIAL = 4;
	public TileView(Box obj, Position position) {
		this.obj = obj;
		this.position = position;
		state = NORMAL;
	}

	public Box getObj() {
		return obj;
	}
	public Position getPosition() {
		return position;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}
}
